org.apache.poi.hslf.usermodel

## Class HSLFSoundData

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFSoundData

-     public final class HSLFSoundData
      extends java.lang.Object

  A class that represents sound data embedded in a slide show.
  Author:
    Yegor Kozlov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFSoundData(Sound container)` Creates the object data wrapping the record that contains the sound data.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HSLFSoundData[]` | `find(Document document)` Find all sound records in the supplied Document records
    `byte[]` | `getData()` Gets an input stream which returns the binary of the sound data.
    `java.lang.String` | `getSoundName()` Name of the sound (e.g.
    `java.lang.String` | `getSoundType()` Type of the sound (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSLFSoundData

          public HSLFSoundData(Sound container)

      Creates the object data wrapping the record that contains the sound data.
      Parameters:
        `container` - the record that contains the sound data.

  - ### Method Detail

    - #### getSoundName

          public java.lang.String getSoundName()

      Name of the sound (e.g. "crash")
      Returns:
        name of the sound

    - #### getSoundType

          public java.lang.String getSoundType()

      Type of the sound (e.g. ".wav")
      Returns:
        type of the sound

    - #### getData

          public byte[] getData()

      Gets an input stream which returns the binary of the sound data.
      Returns:
        the input stream which will contain the binary of the sound data.

    - #### find

          public static HSLFSoundData[] find(Document document)

      Find all sound records in the supplied Document records
      Parameters:
        `document` - the document to find in
      Returns:
        the array with the sound data

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.